// User defined constants

const myProductName = "gm-notifier";
const myProductRegKey = "/gm-notifier";
const myProductRegVersion = "0.5.6.5";
const myJarFileName = "gm-notifier.jar";

// Installation Script - no user modifications needed

// OS type detection
// which platform?
function getPlatform()
{
  var platformStr;
  var platformNode;

  if('platform' in Install)
  {
    platformStr = new String(Install.platform);

    if (!platformStr.search(/^Macintosh/))
      platformNode = 'mac';
    else if (!platformStr.search(/^Win/))
      platformNode = 'win';
    else if (!platformStr.search(/^OS\/2/))
      platformNode = 'win';
    else
      platformNode = 'unix';
  }
  else
  {
    var fOSMac  = getFolder("Mac System");
    var fOSWin  = getFolder("Win System");

    logComment("fOSMac: "  + fOSMac);
    logComment("fOSWin: "  + fOSWin);

    if(fOSMac != null)
      platformNode = 'mac';
    else if(fOSWin != null)
      platformNode = 'win';
    else
      platformNode = 'unix';
  }

  return platformNode;
}

var err = initInstall(myProductName, myProductRegKey, myProductRegVersion);
logComment("initInstall: " + err);

//fChrome = getFolder("Chrome");

fChrome = getFolder("Program");
setPackageFolder(fChrome);
err = addFile(".autoreg");
logComment("addFile() for .autoreg returned: " + err);

fChrome = getFolder("Program", "components");
setPackageFolder(fChrome);
err = addFile("components/nsGMNotifierProgressListener.js");
err = addFile("components/nsIGMNotifierProgressListener.xpt");
err = addFile("components/nsGMNotifierService.js");
err = addFile("components/nsIGMNotifierService.xpt");
logComment("addFile() for components returned: " + err);

fChrome = getFolder("Profile", "chrome");
setPackageFolder(fChrome);
err = addFile("chrome/"+myJarFileName);
logComment("addFile() for jar file returned: " + err);

logComment("Url is: " + getFolder(fChrome,myJarFileName) + "/content/");

regErr = registerChrome(PACKAGE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "content/gm-notifier/");
logComment("regChrome (package) returned: " + regErr);

regErr = registerChrome(LOCALE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "locale/en-US/gm-notifier/"); 
logComment("regChrome (locale) returned: " + regErr);

regErr = registerChrome(LOCALE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "locale/az-AZ/gm-notifier/");
logComment("regChrome (locale) returned: " + regErr);

regErr = registerChrome(LOCALE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "locale/ca-AD/gm-notifier/");
logComment("regChrome (locale) returned: " + regErr);

regErr = registerChrome(LOCALE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "locale/cs-CZ/gm-notifier/");
logComment("regChrome (locale) returned: " + regErr);

regErr = registerChrome(LOCALE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "locale/da-DK/gm-notifier/");
logComment("regChrome (locale) returned: " + regErr);

regErr = registerChrome(LOCALE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "locale/de-DE/gm-notifier/");
logComment("regChrome (locale) returned: " + regErr);

regErr = registerChrome(LOCALE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "locale/es-ES/gm-notifier/");
logComment("regChrome (locale) returned: " + regErr);

regErr = registerChrome(LOCALE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "locale/fr-FR/gm-notifier/");
logComment("regChrome (locale) returned: " + regErr);

regErr = registerChrome(LOCALE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "locale/it-IT/gm-notifier/");
logComment("regChrome (locale) returned: " + regErr);

regErr = registerChrome(LOCALE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "locale/ja-JP/gm-notifier/");
logComment("regChrome (locale) returned: " + regErr);

regErr = registerChrome(LOCALE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "locale/hr-HR/gm-notifier/");
logComment("regChrome (locale) returned: " + regErr);

regErr = registerChrome(LOCALE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "locale/ko-KR/gm-notifier/");
logComment("regChrome (locale) returned: " + regErr);

regErr = registerChrome(LOCALE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "locale/nl-NL/gm-notifier/");
logComment("regChrome (locale) returned: " + regErr);

regErr = registerChrome(LOCALE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "locale/pl-PL/gm-notifier/");
logComment("regChrome (locale) returned: " + regErr);

regErr = registerChrome(LOCALE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "locale/pt-BR/gm-notifier/");
logComment("regChrome (locale) returned: " + regErr);

regErr = registerChrome(LOCALE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "locale/pt-PT/gm-notifier/");
logComment("regChrome (locale) returned: " + regErr);

regErr = registerChrome(LOCALE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "locale/ru-RU/gm-notifier/");
logComment("regChrome (locale) returned: " + regErr);

regErr = registerChrome(LOCALE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "locale/sk-SK/gm-notifier/");
logComment("regChrome (locale) returned: " + regErr);

regErr = registerChrome(LOCALE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "locale/th-TH/gm-notifier/");
logComment("regChrome (locale) returned: " + regErr);

regErr = registerChrome(LOCALE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "locale/tr-TR/gm-notifier/");
logComment("regChrome (locale) returned: " + regErr);

regErr = registerChrome(LOCALE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "locale/zh-CN/gm-notifier/");
logComment("regChrome (locale) returned: " + regErr);

regErr = registerChrome(LOCALE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "locale/zh-TW/gm-notifier/");
logComment("regChrome (locale) returned: " + regErr);

if ((getLastError() == 0) || (getLastError() == -202))
  performInstall();
else
  cancelInstall(err);
